> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List product entitlements

> List entitlement values assigned to a product.



## OpenAPI

````yaml get /v1/products/{id}/entitlements
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/products/{id}/entitlements:
    get:
      tags:
        - Products > Entitlements
      summary: List product entitlements
      description: List entitlement values assigned to a product.
      operationId: listProductEntitlements
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProductEntitlement'
      security:
        - bearer: []
components:
  schemas:
    ProductEntitlement:
      type: object
      properties:
        feature_code:
          type: string
          description: Feature code.
          example: sso
        value:
          anyOf:
            - type: boolean
            - type: number
          description: Entitlement value.
        created_at:
          type: string
          format: date-time
          description: Creation date.
          example: '2024-12-20T16:04:11Z'
        updated_at:
          type: string
          format: date-time
          description: Last update date.
          example: '2024-12-20T16:04:11Z'
      required:
        - feature_code
        - value
        - created_at
        - updated_at
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````